<?php
namespace Claromentis\Mailgun\Model;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_6e1c717cf3cbf1af982ed74d4336b7f" . "1" => base64_decode("Ym9keS1o" . "dG1s"), "_1d6c68a0262e8fa0bed1215b7224a" . "98e" => base64_decode("cmVj" . "aXBp" . "ZW50"), "_d706c160e45bf" . "7434fff82a5976" . "f0e19" => base64_decode("YXJyYXlfa2V5cw=" . "="), "_956cd32298a229" . "f9768f1096f077a" . "ce3" => base64_decode("Ym9keS1w" . "bGFpbg=="), "_618a4aeb9fecc4592a" . "4521f34876fa29" => base64_decode("ZnJvbQ=" . "="), "_97ea09a7faf27c52c6eff69773df1" . "d8a" => base64_decode("dGltZ" . "XN0YW" . "1w"), "_44e986c04f41a08b56a383c7b3a88ee" . "2" => base64_decode("c2VuZ" . "GVy"), "_8c575917cbaedf" . "1e7efae84939402" . "bff" => base64_decode("U3ViamVjdA=" . "="), "_f39f534" . "6e313e4d" . "d1ac3a7b" . "d8032bed" . "a" => base64_decode("c3Vic3Ry" . "X2NvbXBh" . "cmU="), "_f589476007f" . "a133f457c3ef" . "29ddfa566" => base64_decode("VG" . "8="), "_9c050c786fc87170cbb84fc6a8" . "b13cb6" => base64_decode("YXR0YWNobWV" . "udC0="), "_a1e707d02a236dadebd15a45e65" . "ebdb6" => base64_decode("YXR0YW" . "NobWVu" . "dC1jb3" . "VudA=="));
use Claromentis\Core\Mail\Receive\Contract\MailAttachment;
use Claromentis\Core\Mail\Receive\Contract\MailMessage;
use Claromentis\Core\Util\ArrayUtil;




class MailgunMessage implements MailMessage
{
    protected $message_data;
    protected $attachments_data;
    protected $attachments;
    
    
    
    
    
    public function __construct($_a3d82c5df38e194c9c73e3ccb4223bbc = [], $_4e7ab34a53ffb13eb0838003f33034d4 = [])
    {
        $this->message_data = $_a3d82c5df38e194c9c73e3ccb4223bbc;
        $this->attachments = $_4e7ab34a53ffb13eb0838003f33034d4;
        foreach ($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_d706c160e45bf7434fff82a" . "5976f0e19"]($this->message_data) as $key) {
            if ($key !== $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_a1e707d02a236dadebd1" . "5a45e65ebdb6"] && $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_f39f5346e313e4dd1ac" . "3a7bd8032beda"]($key, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_9c050c7" . "86fc8717" . "0cbb84fc" . "6a8b13cb" . "6"], 0, 11) === 0) {
                $this->attachments[] = new MailgunAttachmentString($key, $this->message_data[$key]);
            }
        }
    }
    
    
    
    
    public function GetRecipientAddress() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_1d6c68a0262e8fa0bed1215b" . "7224a98e"]);
    }
    
    
    
    
    
    
    public function GetFrom() : string
    {
        return ArrayUtil::getScalarValue($this->message_data[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_618a4aeb9f" . "ecc4592a452" . "1f34876fa29"]], null);
    }
    
    
    
    
    
    
    
    public function GetTo() : string
    {
        return ArrayUtil::getScalarValue($this->message_data[$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_f589476007fa133f457c3e" . "f29ddfa566"]], null);
    }
    
    
    
    
    public function GetSubject() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_8c575917cbae" . "df1e7efae8493" . "9402bff"]);
    }
    
    
    
    
    public function GetBodyHtml() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_6e1c717cf3cbf1af982ed74d4336b7f" . "1"]);
    }
    
    
    
    
    public function GetBodyText() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_956cd32298a229f9768f1096f077" . "ace3"]);
    }
    
    
    
    
    public function GetDate() : \Date
    {
        $_67a0d624aebcceb0abd5ce56a53ff06f = new \Date(ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_97ea09a7faf27c52c6eff69773df1d8" . "a"]));
        return $_67a0d624aebcceb0abd5ce56a53ff06f;
    }
    
    
    
    
    public function GetSenderAddress() : string
    {
        return ArrayUtil::getScalarValue($this->message_data, $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_44e986c04f41a08b56a383c7" . "b3a88ee2"]);
    }
    public function GetAttachments()
    {
        return $this->attachments;
    }
}